DHCP6RELAY(8)

NAME
dhcp6relay - DHCPv6 relay agent

SYNOPSIS
dhcp6relay [-Ddf] [-b boundaddr] [-H hoplim] [-r relay-IF] [-s serveraddr] [-S script-file] [-p pid-file] interface ...

DESCRIPTION
dhcp6relay acts as an intermediary to deliver DHCPv6 messages between clients and servers, and is on the same link as a client. dhcp6relay needs command line arguments interface ..., which specifies the list of links accommodating clients.

Options supported by dhcp6relay are:

-d  Print debugging messages.

-D  Even more debugging information is printed.

-f  Foreground mode (useful when debugging). Although dhcp6relay usually prints warning, debugging, or error messages to syslog(8), it prints the messages to standard error if this option is specified.

-b boundaddr
    Specifies the source address to relay packets to servers (or other agents).

-H hoplim
    Specifies the hop limit of DHCPv6 Solicit messages forwarded to servers.

-r relay-IF
    Specifies the interface on which messages to servers are sent. When omitted, the same interface as interface will be used. When multiple interface are specified, this option cannot be omitted.

-s serveraddr
    Specifies the DHCPv6 server address to relay packets to. If not specified, packets are relayed to ff05::1:3 (All DHCPv6 servers).

-S script-file
    Specifies the script file to be executed when dhcp6relay receives a RELAY-REPLY message from a DHCPv6 server. Further detail of the script file syntax is available in dhcp6c(8)

-p pid-file
    Use pid-file to dump the process ID of dhcp6relay.

FILES
/var/run/dhcp6relay.pid
    is the default file that contains pid of the currently running dhcp6relay.

SEE ALSO
dhcp6c(8), dhcp6s(8) Ralph Droms, Editor, 2003, Dynamic Host Configuration Protocol for IPv6 (DHCPv6), RFC 3315.

HISTORY
The dhcp6relay command first appeared in WIDE/KAME IPv6 protocol stack kit.